| Home | Libraries | People | FAQ | More

##### not equal

Compare two sequences for inequality.

###### Synopsis

    template <typename Seq1, typename Seq2>
    bool
    operator!=(Seq1 const& a, Seq2 const& b);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`a, b` | Instances of Sequence | Sequence(s) to compare

###### Expression Semantics

    a != b

Return type: `bool`

Requirements:

For each element, `e1`, in sequence `a`, and for each element, `e2`, in sequence `b`, `a == b` is a valid expression returning a type that is convertible to bool.

An attempt to compare two Sequences of different lengths results in a compile time error.

Semantics:

Returns !(a == b).

###### Header

    #include <boost/fusion/sequence/comparison/not_equal_to.hpp>
    #include <boost/fusion/include/not_equal_to.hpp>

###### Example

    vector<int, char> v3(5, 'b');
    vector<int, char> t4(2, 'a');
    assert(v1 != v3);
    assert(v1 != t4);
    assert(!(v1 != v2));